<!doctype html>
<html>
	<head>
		<title>Select social sharer</title>
		<meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta name="viewport" content="width=device-width" />
	</head>

	<body>
		<p><a href="https://gitlab.com/ugrp/social-select-sharer">Gitlab</a></p>
		<h1>Select social sharer</h1>
		<select id="SocialSharerSelect" onchange="URLSharer.share()">
			<option disabled selected value style="display: none">Share</option>
			<option value="https://www.facebook.com/sharer.php?u=">Facebook</option>
			<option value="https://twitter.com/intent/tweet?url=">Twitter</option>
			<option value>&rarr; Copy URL</option>
		</select>
	</body>

	<script type="text/javascript">
		var URLSharer = {
			currentURL: window.location.href,
			share: function (event) {
				var selectEl = document.getElementById("SocialSharerSelect");
				var providerURL = selectEl.options[selectEl.selectedIndex].value;
				providerURL ? this.openShareTab(providerURL) : this.copyURL();
				this.clearSelection(selectEl);
			},
			clearSelection: function (selectEl) {
				selectEl.selectedIndex = 0;
			},
			openShareTab: function (providerURL) {
				var newURL = providerURL + this.currentURL;
				window.open(newURL).focus();
			},
			copyURL() {
				window.prompt("Copy this URL", this.currentURL);
			},
		};
	</script>
</html>
